## ttyd 1.6.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(ttyd C)
set(PROJECT_VERSION "1.6.3")

find_package(Git)
if(GIT_FOUND)
    execute_process(
            COMMAND ${GIT_EXECUTABLE} --git-dir ${CMAKE_CURRENT_SOURCE_DIR}/.git rev-parse --short HEAD
            RESULT_VARIABLE GIT_RET
            OUTPUT_VARIABLE GIT_COMMIT
            OUTPUT_STRIP_TRAILING_WHITESPACE
            ERROR_QUIET
    )
    if("${GIT_RET}" STREQUAL "0")
        set(PROJECT_VERSION "${PROJECT_VERSION}-${GIT_COMMIT}")
    endif()
endif()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_GNU_SOURCE")
if(CMAKE_VERSION VERSION_LESS "3.1")
    if ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
    else()
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
    endif()
else()
    set(CMAKE_C_STANDARD 99)
endif()

set(SOURCE_FILES src/server.c src/http.c src/protocol.c src/terminal.c src/utils.c)

include(FindPackageHandleStandardArgs)

find_path(LIBUV_INCLUDE_DIR NAMES uv.h)
find_library(LIBUV_LIBRARY NAMES uv libuv)
find_package_handle_standard_args(LIBUV REQUIRED_VARS LIBUV_LIBRARY LIBUV_INCLUDE_DIR)
mark_as_advanced(LIBUV_INCLUDE_DIR LIBUV_LIBRARY)
if(LIBUV_FOUND)
    SET(LIBUV_INCLUDE_DIRS "${LIBUV_INCLUDE_DIR}")
    SET(LIBUV_LIBRARIES "${LIBUV_LIBRARY}")
endif()

find_path(JSON-C_INCLUDE_DIR NAMES json.h PATH_SUFFIXES json-c)
find_library(JSON-C_LIBRARY NAMES json-c)
find_package_handle_standard_args(JSON-C REQUIRED_VARS JSON-C_INCLUDE_DIR JSON-C_LIBRARY)
mark_as_advanced(JSON-C_INCLUDE_DIR JSON-C_LIBRARY)
if(JSON-C_FOUND)
    SET(JSON-C_INCLUDE_DIRS "${JSON-C_INCLUDE_DIR}")
    SET(JSON-C_LIBRARIES "${JSON-C_LIBRARY}")
endif()

find_package(ZLIB REQUIRED)
find_package(Libwebsockets 1.7.0 QUIET)

if(NOT Libwebsockets_FOUND) # for libwebsockets-dev on ubuntu 16.04
    find_path(LIBWEBSOCKETS_INCLUDE_DIR NAMES libwebsockets.h)
    find_library(LIBWEBSOCKETS_LIBRARY NAMES websockets)
    find_package_handle_standard_args(Libwebsockets REQUIRED_VARS LIBWEBSOCKETS_LIBRARY LIBWEBSOCKETS_INCLUDE_DIR)
    mark_as_advanced(LIBWEBSOCKETS_INCLUDE_DIR LIBWEBSOCKETS_LIBRARY)
    if(Libwebsockets_FOUND)
        SET(LIBWEBSOCKETS_INCLUDE_DIRS "${LIBWEBSOCKETS_INCLUDE_DIR}")
        SET(LIBWEBSOCKETS_LIBRARIES "${LIBWEBSOCKETS_LIBRARY}")
    endif()
endif()

set(INCLUDE_DIRS ${ZLIB_INCLUDE_DIR} ${LIBWEBSOCKETS_INCLUDE_DIRS} ${JSON-C_INCLUDE_DIRS} ${LIBUV_INCLUDE_DIRS})
set(LINK_LIBS ${ZLIB_LIBRARIES} ${LIBWEBSOCKETS_LIBRARIES} ${JSON-C_LIBRARIES} ${LIBUV_LIBRARIES})

set (CMAKE_REQUIRED_INCLUDES ${INCLUDE_DIRS})
include(CheckSymbolExists)
check_symbol_exists(LWS_OPENSSL_SUPPORT "lws_config.h" LWS_OPENSSL_ENABLED)
check_symbol_exists(LWS_WITH_MBEDTLS "lws_config.h" LWS_MBEDTLS_ENABLED)
if(LWS_OPENSSL_ENABLED AND NOT LWS_MBEDTLS_ENABLED)
    find_package(OpenSSL REQUIRED)
    list(APPEND INCLUDE_DIRS ${OPENSSL_INCLUDE_DIR})
    list(APPEND LINK_LIBS ${OPENSSL_LIBRARIES})
endif()

if(WIN32)
    list(APPEND LINK_LIBS shell32)
elseif(NOT APPLE)
    list(APPEND LINK_LIBS util)
endif()

add_executable(${PROJECT_NAME} ${SOURCE_FILES})
target_include_directories(${PROJECT_NAME} PUBLIC ${INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} ${LINK_LIBS})
target_compile_definitions(${PROJECT_NAME} PRIVATE TTYD_VERSION="${PROJECT_VERSION}")

include(GNUInstallDirs)

install(TARGETS ${PROJECT_NAME} DESTINATION "${CMAKE_INSTALL_BINDIR}" COMPONENT prog)
install(FILES man/ttyd.1 DESTINATION "${CMAKE_INSTALL_MANDIR}/man1" COMPONENT doc)

=== debian/changelog ===
ttyd (1.6.3-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Oct 2021 13:45:24 -0400

ttyd (1.6.3-3) sid; urgency=medium

  * Uploading to sid.
  * Adding /etc/default/ttyd to handle options used to start ttyd via systemd
    unit.
  * Restricting package to linux architectures.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 26 Feb 2021 09:38:56 +0100

ttyd (1.6.3-2) sid; urgency=medium

  * Uploading to sid.
  * Adding README.Debian.
  * Correcting path to executables in system service,
    thanks to Jonas Smedegaard <dr@jones.dk> (Closes: #983261).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 22 Feb 2021 06:50:22 +0100

ttyd (1.6.3-1) sid; urgency=medium

  * Initial upload to sid (Closes: #972863).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Feb 2021 14:18:19 +0100

=== debian/control ===
Source: ttyd
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libjson-c-dev,
 libwebsockets-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://tsl0922.github.io/ttyd
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd

Package: ttyd
Section: web
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Share your terminal over the web
 ttyd is a command-line tool for sharing a terminal over the web.

## ttyd 1.6.3+20210924

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
     set(CMAKE_C_STANDARD 99)
 endif()
 
-set(SOURCE_FILES src/server.c src/http.c src/protocol.c src/terminal.c src/utils.c)
+set(SOURCE_FILES src/utils.c src/pty.c src/protocol.c src/http.c src/server.c)
 
 include(FindPackageHandleStandardArgs)
 
@@ -43,7 +43,7 @@
 
 find_path(JSON-C_INCLUDE_DIR NAMES json.h PATH_SUFFIXES json-c)
 find_library(JSON-C_LIBRARY NAMES json-c)
-find_package_handle_standard_args(JSON-C REQUIRED_VARS JSON-C_INCLUDE_DIR JSON-C_LIBRARY)
+find_package_handle_standard_args(JSON-C REQUIRED_VARS JSON-C_LIBRARY JSON-C_INCLUDE_DIR)
 mark_as_advanced(JSON-C_INCLUDE_DIR JSON-C_LIBRARY)
 if(JSON-C_FOUND)
     SET(JSON-C_INCLUDE_DIRS "${JSON-C_INCLUDE_DIR}")
@@ -51,26 +51,19 @@
 endif()
 
 find_package(ZLIB REQUIRED)
-find_package(Libwebsockets 1.7.0 QUIET)
-
-if(NOT Libwebsockets_FOUND) # for libwebsockets-dev on ubuntu 16.04
-    find_path(LIBWEBSOCKETS_INCLUDE_DIR NAMES libwebsockets.h)
-    find_library(LIBWEBSOCKETS_LIBRARY NAMES websockets)
-    find_package_handle_standard_args(Libwebsockets REQUIRED_VARS LIBWEBSOCKETS_LIBRARY LIBWEBSOCKETS_INCLUDE_DIR)
-    mark_as_advanced(LIBWEBSOCKETS_INCLUDE_DIR LIBWEBSOCKETS_LIBRARY)
-    if(Libwebsockets_FOUND)
-        SET(LIBWEBSOCKETS_INCLUDE_DIRS "${LIBWEBSOCKETS_INCLUDE_DIR}")
-        SET(LIBWEBSOCKETS_LIBRARIES "${LIBWEBSOCKETS_LIBRARY}")
-    endif()
-endif()
+find_package(Libwebsockets 3.2.0 REQUIRED)
 
 set(INCLUDE_DIRS ${ZLIB_INCLUDE_DIR} ${LIBWEBSOCKETS_INCLUDE_DIRS} ${JSON-C_INCLUDE_DIRS} ${LIBUV_INCLUDE_DIRS})
 set(LINK_LIBS ${ZLIB_LIBRARIES} ${LIBWEBSOCKETS_LIBRARIES} ${JSON-C_LIBRARIES} ${LIBUV_LIBRARIES})
 
 set (CMAKE_REQUIRED_INCLUDES ${INCLUDE_DIRS})
 include(CheckSymbolExists)
+check_symbol_exists(LWS_WITH_LIBUV "lws_config.h" LWS_WITH_LIBUV)
 check_symbol_exists(LWS_OPENSSL_SUPPORT "lws_config.h" LWS_OPENSSL_ENABLED)
 check_symbol_exists(LWS_WITH_MBEDTLS "lws_config.h" LWS_MBEDTLS_ENABLED)
+if(NOT LWS_WITH_LIBUV)
+    message(FATAL_ERROR "libwebsockets was not build with libuv support (-DLWS_WITH_LIBUV=ON)")
+endif()
 if(LWS_OPENSSL_ENABLED AND NOT LWS_MBEDTLS_ENABLED)
     find_package(OpenSSL REQUIRED)
     list(APPEND INCLUDE_DIRS ${OPENSSL_INCLUDE_DIR})
@@ -78,7 +71,7 @@
 endif()
 
 if(WIN32)
-    list(APPEND LINK_LIBS shell32)
+    list(APPEND LINK_LIBS shell32 ws2_32)
 elseif(NOT APPLE)
     list(APPEND LINK_LIBS util)
 endif()

=== debian/changelog ===
ttyd (1.6.3+20210924-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 03 Dec 2021 12:30:16 +0100

ttyd (1.6.3+20210924-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.6.3+20210924.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 12:24:08 +0200

ttyd (1.6.3-4) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 11:02:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libwebsockets-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://tsl0922.github.io/ttyd
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ttyd-$1\.tar\.gz/ \
https://github.com/tsl0922/ttyd/releases .*/v?(\d\S+)\.tar\.gz

## ttyd 1.6.3+20220719

=== debian/changelog ===
ttyd (1.6.3+20220719-3) sid; urgency=medium

  * Uploading to sid.
  * Correcting typo of ProxyPassReverse directive name in apache2 config.
  * Using 127.0.0.1 instead of localhost in apache2 config to work on
    ipv6-only systems too.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 21 Jul 2022 07:14:33 +0200

ttyd (1.6.3+20220719-2) sid; urgency=medium

  * Uploading to sid.
  * Removing superfluous slashes in apache2 config for convenience
    reasons.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Jul 2022 08:08:53 +0200

ttyd (1.6.3+20220719-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.6.3+20220719.
  * Updating copyright for new upstream.
  * Updating to standards version 4.6.1.
  * Adding apache2 reverse-proxy configuration.
  * Adding TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 19 Jul 2022 12:34:47 +0200

## ttyd 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 project(ttyd C)
-set(PROJECT_VERSION "1.6.3")
+set(PROJECT_VERSION "1.7.0")
 
 find_package(Git)
 if(GIT_FOUND)

=== debian/changelog ===
ttyd (1.7.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Aug 2022 14:08:23 +0200

ttyd (1.6.3+20220719-4) sid; urgency=medium

  * Uploading to sid.
  * Correcting port typo in apache2 config.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 21 Jul 2022 16:37:32 +0200

## ttyd 1.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,15 @@
 cmake_minimum_required(VERSION 2.8)
 
-project(ttyd C)
-set(PROJECT_VERSION "1.7.0")
+if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
+    project(ttyd C) 
+    set(PROJECT_VERSION_MAJOR "1")
+    set(PROJECT_VERSION_MINOR "7")
+    set(PROJECT_VERSION_PATCH "2")
+    set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
+else()
+    cmake_policy(SET CMP0048 NEW)
+    project(ttyd VERSION 1.7.2 LANGUAGES C)
+endif()
 
 find_package(Git)
 if(GIT_FOUND)
@@ -72,8 +80,13 @@
 
 if(WIN32)
     list(APPEND LINK_LIBS shell32 ws2_32)
-elseif(NOT APPLE)
-    list(APPEND LINK_LIBS util)
+    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/app.rc.in ${CMAKE_CURRENT_BINARY_DIR}/app.rc @ONLY)
+    list(APPEND SOURCE_FILES ${CMAKE_CURRENT_BINARY_DIR}/app.rc)
+else()
+    find_library(LIBUTIL NAMES util)
+    if(LIBUTIL)
+        list(APPEND LINK_LIBS util)
+    endif()
 endif()
 
 add_executable(${PROJECT_NAME} ${SOURCE_FILES})

=== debian/changelog ===
ttyd (1.7.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 21 Oct 2022 11:25:05 +0200

ttyd (1.7.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 02 Sep 2022 10:36:10 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libwebsockets-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://tsl0922.github.io/ttyd
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
@@ -20,5 +20,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Suggests:
+ apache2,
 Description: Share your terminal over the web
  ttyd is a command-line tool for sharing a terminal over the web.

## ttyd 1.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
     project(ttyd C) 
     set(PROJECT_VERSION_MAJOR "1")
     set(PROJECT_VERSION_MINOR "7")
-    set(PROJECT_VERSION_PATCH "2")
+    set(PROJECT_VERSION_PATCH "3")
     set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 else()
     cmake_policy(SET CMP0048 NEW)
-    project(ttyd VERSION 1.7.2 LANGUAGES C)
+    project(ttyd VERSION 1.7.3 LANGUAGES C)
 endif()
 
 find_package(Git)

=== debian/changelog ===
ttyd (1.7.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.3.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Jan 2023 09:45:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libwebsockets-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://tsl0922.github.io/ttyd
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/ttyd

## ttyd 1.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.12)
 
 if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
     project(ttyd C) 
     set(PROJECT_VERSION_MAJOR "1")
     set(PROJECT_VERSION_MINOR "7")
-    set(PROJECT_VERSION_PATCH "3")
+    set(PROJECT_VERSION_PATCH "4")
     set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 else()
     cmake_policy(SET CMP0048 NEW)
-    project(ttyd VERSION 1.7.3 LANGUAGES C)
+    project(ttyd VERSION 1.7.4 LANGUAGES C)
 endif()
 
 find_package(Git)

=== debian/changelog ===
ttyd (1.7.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:34 +1100

ttyd (1.7.4-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:08:29 +0000

ttyd (1.7.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Oct 2023 14:22:48 +0200

ttyd (1.7.3-2) sid; urgency=medium

  * Uploading to sid.
  * Adding manual depends to libwebsockets-evlib-uv (Closes: #1022217).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 20:52:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ttyd
 Section: web
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -18,6 +19,7 @@
 Section: web
 Architecture: linux-any
 Depends:
+ libwebsockets-evlib-uv,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:

## ttyd 1.7.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,19 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.12.0)
 
-if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
-    project(ttyd C) 
-    set(PROJECT_VERSION_MAJOR "1")
-    set(PROJECT_VERSION_MINOR "7")
-    set(PROJECT_VERSION_PATCH "4")
-    set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
-else()
-    cmake_policy(SET CMP0048 NEW)
-    project(ttyd VERSION 1.7.4 LANGUAGES C)
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+
+project(ttyd VERSION 1.7.7 LANGUAGES C)
+
+set(TTYD_VERSION "${PROJECT_VERSION}")
+
+include(GetGitVersion)
+get_git_version(GIT_VERSION SEM_VER)
+get_git_head(GIT_COMMIT)
+if("${SEM_VER}" VERSION_GREATER "${TTYD_VERSION}")
+    set(TTYD_VERSION "${SEM_VER}")
 endif()
-
-find_package(Git)
-if(GIT_FOUND)
-    execute_process(
-            COMMAND ${GIT_EXECUTABLE} --git-dir ${CMAKE_CURRENT_SOURCE_DIR}/.git rev-parse --short HEAD
-            RESULT_VARIABLE GIT_RET
-            OUTPUT_VARIABLE GIT_COMMIT
-            OUTPUT_STRIP_TRAILING_WHITESPACE
-            ERROR_QUIET
-    )
-    if("${GIT_RET}" STREQUAL "0")
-        set(PROJECT_VERSION "${PROJECT_VERSION}-${GIT_COMMIT}")
-    endif()
+if(NOT "${GIT_COMMIT}" STREQUAL "")
+    set(TTYD_VERSION "${TTYD_VERSION}-${GIT_COMMIT}")
 endif()
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_GNU_SOURCE")
@@ -92,7 +83,10 @@
 add_executable(${PROJECT_NAME} ${SOURCE_FILES})
 target_include_directories(${PROJECT_NAME} PUBLIC ${INCLUDE_DIRS})
 target_link_libraries(${PROJECT_NAME} ${LINK_LIBS})
-target_compile_definitions(${PROJECT_NAME} PRIVATE TTYD_VERSION="${PROJECT_VERSION}")
+target_compile_definitions(${PROJECT_NAME} PUBLIC
+    TTYD_VERSION="${TTYD_VERSION}"
+    $<$<PLATFORM_ID:Windows>:_WIN32_WINNT=0xa00 WINVER=0xa00>
+)
 
 include(GNUInstallDirs)

=== debian/changelog ===
ttyd (1.7.7-4) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 13:05:39 +0200

ttyd (1.7.7-3) sid; urgency=medium

  * Switching from releases to tags in watch file.
  * Updating source url in copyright.
  * Updating my email address.
  * Updating year in debian copyright for 2025.
  * Updating to standards version 4.7.2.
  * Updating vcs fields.
  * Trimming debian changelog.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Apr 2025 17:35:03 +0200

ttyd (1.7.7-2) sid; urgency=medium

  * Moving writable startup-option to the front as apparently order
    matters.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Apr 2024 10:20:40 +0200

ttyd (1.7.7-1) sid; urgency=medium

  * Merging upstream version 1.7.7.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Starting ttyd by default in read-write mode (ttyd 1.7.4 changed to
    read-only default which makes sense as a general default, in Debian
    ttyd is by default started on localhost only and requireing login).

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Apr 2024 10:17:09 +0200

=== debian/control ===
Source: ttyd
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libjson-c-dev,
 libwebsockets-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://tsl0922.github.io/ttyd
Vcs-Browser: https://forgejo.debian.net/ttyd/ttyd
Vcs-Git: https://forgejo.debian.net/ttyd/ttyd

Package: ttyd
Section: web
Architecture: linux-any
Depends:
 libwebsockets-evlib-uv,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 apache2,
Description: Share your terminal over the web
 ttyd is a command-line tool for sharing a terminal over the web.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=build

override_dh_auto_build:
	mkdir -p build && cd build && cmake .. && make

=== debian/watch ===
version=4
https://github.com/tsl0922/ttyd/tags .*/v?(\d.*)@ARCHIVE_EXT@
